*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/downloads/release.asp?releaseid=32738
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


LOCAL loFile

LOCAL lcPDFFileToMergeTo
LOCAL lcPDFFileToMerge
LOCAL lcPDFFileToSaveResult
LOCAL lcRangeList

LOCAL lnInsertPagePos

LOCAL llSaveAsNewFile
LOCAL llDoNotSortPageList

SET PATH TO  ..\..\..\

lcFRX2AnyLibrary = 'FRX2Any'
SET CLASSLIB TO &lcFRX2AnyLibrary IN FRX2Any.APP ALIAS FRX2Any

loFile = CREATEOBJECT('FRX2Any.PDFFile')

IF TYPE('loFile') = 'O'
*-- Unlock FRX2Any
	loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

	lcPDFFileToMergeTo  = ADDBS(JUSTPATH(SYS(16,0))) + 'FileToInsertTheExtractedPagesInto.PDF'
	lcPDFFileToMerge = ADDBS(JUSTPATH(SYS(16,0))) + 'FileToExtractPagesFrom.PDF'
	lcPDFFileToSaveResult =  ADDBS(JUSTPATH(SYS(16,0))) + 'FileToSaveResult.PDF'

	lcRangeList = '3,1,3'
	lnInsertPagePos = 3
	llDoNotSortPageList = !llDoNotSortPageList
 
	 
	loFile.MergeDocument(lcPDFFileToMergeTo, lcPDFFileToMerge, lcPDFFileToSaveResult, ;
		lcRangeList, lnInsertPagePos, llDoNotSortPageList, llSaveAsNewFile)

	loFile.RELEASE()

ENDIF


