LOCAL loFile
LOCAL lcPDFFileFullName
LOCAL lcFileNameToPrint
LOCAL lcPathToFileToPrint
LOCAL lcFRX2AnyLibrary

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcPDFFileFullName = FULLPATH('..\..\PDF OutPut\Merging two PDF documents together\FileToBeAdded.PDF')

IF !FILE(lcPDFFileFullName)
	=MESSAGEBOX('File ' + lcPDFFileFullName + ' does not exist.', 16, 'Error')

ELSE

	lcFileNameToPrint = JUSTSTEM(lcPDFFileFullName)
	lcPathToFileToPrint = ADDBS(JUSTPATH(lcPDFFileFullName))

	SET PATH TO  ..\..\..\

	lcFRX2AnyLibrary = 'FRX2Any'
	SET CLASSLIB TO &lcFRX2AnyLibrary IN FRX2Any.APP ALIAS FRX2Any


	loFile = CREATEOBJECT('FRX2Any.PDFFile')

	IF TYPE('loFile') = 'O'


*-- Unlock FRX2Any
		loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- Folder where PDF file to be printed is located
		loFile.cSaveFolder = lcPathToFileToPrint
*-- Name of the  PDF file to be printed without extension
		loFile.cExportFileName = lcFileNameToPrint

*-- Do not use ShellExecute to print PDF file
		loFile.lUseShellExecuteToPrint = .F.

		loFile.PrintOutPut()

		loFile.RELEASE()

	ENDIF

ENDIF
