*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/downloads/release.asp?releaseid=32738
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


LOCAL loFile
LOCAL lcPDFFileFullName
LOCAL lcOutPutFileName
LOCAL lcOutPutFilePath
LOCAL lcFRX2AnyLibrary

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcPDFFileFullName = FULLPATH('Invoice list.PDF')

IF !FILE(lcPDFFileFullName)
	=MESSAGEBOX('File ' + lcPDFFileFullName + ' does not exist.', 16, 'Error')
ELSE

	lcOutPutFileName = JUSTSTEM(lcPDFFileFullName)
	lcOutPutFilePath = JUSTPATH(SYS(16,0)) + "\OutPut\"

	SET PATH TO  ..\..\..\
	
	lcFRX2AnyLibrary = 'FRX2Any'	 
	SET CLASSLIB TO &lcFRX2AnyLibrary IN FRX2Any.APP ALIAS FRX2Any			

	loFile = CREATEOBJ('FRX2Any.PDFFile')

	IF TYPE('loFile') = 'O'
*-- Unlock FRX2Any
		loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- NOTE: loFile.cExportFileName should not include file extension. For example: loFile.cExportFileName = "ReportOutput"
		loFile.cExportFileName = lcOutPutFileName

*-- NOTE: loFile.cSaveFolder should contain only path to the output file. For example: loFile.cSaveFolder = "c:\MyApp\MyOutPut\"
		loFile.cSaveFolder = lcOutPutFilePath

		loFile.ExtractFormFieldValue(lcPDFFileFullName)
		loFile.RELEASE()

	ENDIF

ENDIF
